package com.qmth.cqb.base.service;

import com.qmth.cqb.base.dao.RoleRepo;
import com.qmth.cqb.base.model.Role;
import com.qmth.cqb.utils.modal.PagingAndSortingResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.data.domain.ExampleMatcher;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.stereotype.Service;

import static org.springframework.data.domain.ExampleMatcher.GenericPropertyMatchers.startsWith;

/**
 * Created by songyue on 16/12/28.
 */
@Service
public class RoleService {
    @Autowired
    RoleRepo roleRepo;

    @Autowired
    MongoTemplate mongoTemplate;

    public PagingAndSortingResponse<Role> findAll(Role searchCondition, PageRequest pageRequest){
        ExampleMatcher matcher = ExampleMatcher.matching()
                .withMatcher("roleName", startsWith());
        Page<Role> roleList = roleRepo.findAll(Example.of(searchCondition,matcher),pageRequest);
        return new PagingAndSortingResponse<Role>(roleList.getNumber(),roleList.getSize(),
                roleList.getTotalPages(),roleList.getTotalElements(),roleList.getContent());
    }
}
