package com.qmth.cqb.utils.enums;

public enum QuesStructType {
	
	SINGLE_ANSWER_QUESTION(1L,"单选",true,false),
	MULTIPLE_ANSWER_QUESTION(2L,"多选",true,false),
	BOOL_ANSWER_QUESTION(3L,"判断",true,false),
	FILL_BLANK_QUESTION(4L,"填空",false,false),
	TEXT_ANSWER_QUESTION(5L,"问答",false,false),
	NESTED_ANSWER_QUESTION(6L,"套题",false,true);
	
	private Long id;
	private String name;
	private boolean objective;//是否是客观题
	private boolean combline;//是否是组合题
		
	private QuesStructType(Long id, String name, boolean objective, boolean combline) {
		this.id = id;
		this.name = name;;
		this.objective = objective;
		this.combline = combline;
	}
	
	private QuesStructType(){
		
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isObjective() {
		return objective;
	}

	public void setObjective(boolean objective) {
		this.objective = objective;
	}

	public boolean isCombline() {
		return combline;
	}

	public void setCombline(boolean combline) {
		this.combline = combline;
	}

	public String toString(){
		return getName();
	}
	
}

