package com.qmth.cqb.paper.web;

import com.qmth.cqb.paper.model.ExtractConfig;
import com.qmth.cqb.paper.model.Paper;
import com.qmth.cqb.paper.service.ExtractService;
import com.qmth.cqb.paper.service.PaperService;

import java.util.Arrays;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by songyue on 16/12/28.
 */
@RestController
@RequestMapping("${api_cqb}/")
public class ExtractController {
    @Autowired
    ExtractService extractService;
    
    @Autowired
    PaperService paperService;
    
    @GetMapping(value = "/extract/{exam_id}/{course_code}/{group_code}")
    public Paper extract(@PathVariable String exam_id,@PathVariable String course_code,
    		@PathVariable String group_code){
    	Paper paper = null;
    	ExtractConfig config = extractService.findConfig(Long.parseLong(exam_id), course_code);
    	if("RANDOM_PAPER".equals(config.getPolicy().getKey())){
    		List<Paper> papers = paperService.listExamPapers(config.getExamId(), config.getCourseCode(), group_code);
    	    paper = extractService.randomPaper(papers);
    	}
		return paper;
    }
    
}
